DCMTK: dcmtk::log4cplus::AsyncAppender Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
List of all members
dcmtk::log4cplus::AsyncAppender Class Reference
Inheritance diagram for dcmtk::log4cplus::AsyncAppender:

## Additional Inherited Members
Public Member Functions inherited from dcmtk::log4cplus::Appender
void | doAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific `append` method.
virtual log4cplus::tstring | getName ()
| Get the name of this appender.
virtual void | setName (const log4cplus::tstring &name)
| Set the name of this appender.
virtual void | setErrorHandler (OFunique_ptr< ErrorHandler > eh)
| Set the `ErrorHandler` for this Appender.
virtual ErrorHandler * | getErrorHandler ()
| Return the currently set `ErrorHandler` for this Appender.
virtual void | setLayout (OFunique_ptr< Layout > layout)
| Set the layout for this appender.
virtual Layout * | getLayout ()
| Returns the layout of this appender.
void | setFilter (log4cplus::spi::FilterPtr f)
| Set the filter chain on this Appender.
log4cplus::spi::FilterPtr | getFilter () const
| Get the filter chain on this Appender.
LogLevel | getThreshold () const
| Returns this appenders threshold LogLevel.
void | setThreshold (LogLevel th)
| Set the threshold LogLevel.
bool | isAsSevereAsThreshold (LogLevel ll) const
| Check whether the message LogLevel is below the appender's threshold.
Public Member Functions inherited from dcmtk::log4cplus::helpers::AppenderAttachableImpl
virtual void | addAppender (SharedAppenderPtr newAppender)
| Add an appender.
virtual SharedAppenderPtrList | getAllAppenders ()
| Get all previously added appenders as an vectory.
virtual SharedAppenderPtr | getAppender (const log4cplus::tstring &name)
| Look for an attached appender named as `name`.
virtual void | removeAllAppenders ()
| Remove all previously added appenders.
virtual void | removeAppender (SharedAppenderPtr appender)
| Remove the appender passed as parameter from the list of appenders.
virtual void | removeAppender (const log4cplus::tstring &name)
| Remove the appender with the name passed as parameter from the list of appenders.
int | appendLoopOnAppenders (const spi::InternalLoggingEvent &event) const
| Call the `doAppend` method on all attached appenders.
Protected Attributes inherited from dcmtk::log4cplus::Appender
OFunique_ptr< Layout > | layout
| The layout variable does not need to be set if the appender implementation has its own layout.
log4cplus::tstring | name
| Appenders are named.
LogLevel | threshold
| There is no LogLevel threshold filtering by default.
log4cplus::spi::FilterPtr | filter
| The first filter in the filter chain.
OFunique_ptr< ErrorHandler > | errorHandler
| It is assumed and enforced that errorHandler is never null.
OFunique_ptr< helpers::LockFile > | lockFile
| Optional system wide synchronization lock.
bool | useLockFile
| Use lock file for inter-process synchronization of access to log file.
bool | closed
| Is this appender closed?
Protected Attributes inherited from dcmtk::log4cplus::helpers::AppenderAttachableImpl
ListType | appenderList
| Array of appenders.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/asyncap.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2